import { Point } from "../geometry/vector.ts";
import { Vector } from "../mod.ts";

export type CircleLike = {
  center: Point;
  radius: number;
};

export const circularCollision = (c1: CircleLike, c2: CircleLike) => {
  const center1 = new Vector(c1.center);
  const center2 = new Vector(c2.center);
  const maxDist = c1.radius + c2.radius;

  return Vector.dist(center1, center2) < maxDist;
};
